Thursday, March 20, 2008

.Net Compact Framework 3.5

The January Windows CE 4.x, 5.0 and 6.0 QFEs (Quick Fix Engineering) enable the .Net CF 3.5 for Windows CE. Now this feature can be directly integrated inside a runtime image by selecting the associated component in the platform builder catalog. The .Net CF 3.5 introduce new graphical components and fix some well know issues of the framework.





Windows Embedded CE QFEs are accessible here

- Nicolas

2 comments:

David H said...

Hi Nicolas - I was wondering how you modify an existing application to be built against different versions of the .NET Compact Framework. If I have an existing C# 2.0 application, how do I direct the VS2005 IDE to build the solution using the Compact Framework 3.5?

Nicolas BESSON said...

David, To do .Net CF 3.5 you need to use VS2008, there is no support for VS2005. In VS2008, you can upgrade your .Net CF 2.0 project to 3.5 by right clicking from the IDE on the project and selecting Upgrade. The dev tool will perform all the required modifications in your project files to use the .Net CF 3.5 compiler and environment. Another solution could be to create a new .Net CF 3.5 project and to include your files from the .Net CF 2.0 project.
-Nicolas